Debian Bug report logs - #650152
libmtp: lacks Xoom support (e.g., 18d1:70a8)

version graph

Package: libmtp8; Maintainer for libmtp8 is Alessio Treglia <quadrispro@ubuntu.com>;

Reported by: Adam Gerber <a6671138@yahoo.com>

Date: Sun, 27 Nov 2011 01:15:02 UTC

Severity: important

Tags: moreinfo, patch

Found in versions libmtp/1.0.3-1, libmtp/1.0.6-7

Fixed in versions libmtp/1.1.0-3, libmtp/1.0.3-1+squeeze1

Done: Alessio Treglia <quadrispro@ubuntu.com>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, a6671138@yahoo.com, Chris Lamb <lamby@debian.org>:
Bug#650152; Package mtpfs. (Sun, 27 Nov 2011 01:15:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Adam Gerber <a6671138@yahoo.com>:
New Bug report received and forwarded. Copy sent to a6671138@yahoo.com, Chris Lamb <lamby@debian.org>. (Sun, 27 Nov 2011 01:15:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Adam Gerber <a6671138@yahoo.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: mtpfs: xoom device fails to mount: Transport endpoint is not connected
Date: Sat, 26 Nov 2011 19:12:44 -0600
Package: mtpfs
Version: 0.9-3
Severity: normal


Was trying to access my xoom.


gedit /usr/share/doc/mtpfs/README &
adam@debian:~$ mtpfs /media/xoom
adam@debian:~$  ls /media/xoom
ls: cannot access /media/xoom: Transport endpoint is not connected
adam@debian:~$ ^C


If there is any information on this, let me know.



-- System Information:
Debian Release: 6.0.3
  APT prefers stable
  APT policy: (990, 'stable'), (502, 'proposed-updates'), (500, 'stable-updates'), (500, 'oldstable'), (500, 'unstable')
Architecture: amd64 (x86_64)

Kernel: Linux 3.1.0-1-amd64 (SMP w/4 CPU cores)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages mtpfs depends on:
ii  fuse-utils                    2.8.4-1.1  Filesystem in USErspace (utilities
ii  libc6                         2.11.2-10  Embedded GNU C Library: Shared lib
ii  libfuse2                      2.8.4-1.1  Filesystem in USErspace library
ii  libglib2.0-0                  2.24.2-1   The GLib library of C routines
ii  libid3tag0                    0.15.1b-10 ID3 tag reading library from the M
ii  libmad0                       0.15.1b-5  MPEG audio decoder library
ii  libmtp8                       1.0.3-1    Media Transfer Protocol (MTP) libr

mtpfs recommends no packages.

mtpfs suggests no packages.

-- no debconf information




Information forwarded to debian-bugs-dist@lists.debian.org, Chris Lamb <lamby@debian.org>:
Bug#650152; Package mtpfs. (Fri, 09 Dec 2011 22:54:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonathan Nieder <jrnieder@gmail.com>:
Extra info received and forwarded to list. Copy sent to Chris Lamb <lamby@debian.org>. (Fri, 09 Dec 2011 22:54:03 GMT) Full text and rfc822 format available.

Message #10 received at 650152@bugs.debian.org (full text, mbox):

From: Jonathan Nieder <jrnieder@gmail.com>
To: 650152@bugs.debian.org
Cc: Adam Gerber <a6671138@yahoo.com>, libmtp8@packages.debian.org
Subject: Re: mtpfs: xoom device fails to mount: Transport endpoint is not connected
Date: Fri, 9 Dec 2011 16:51:32 -0600
clone 650152 -1
retitle -1 unclear error message for unsupported devices (Transport endpoint is not connected)
severity -1 minor
reassign 650152 libmtp8 1.0.3-1
# hardware support
severity 650152 important
retitle 650152 libmtp: lacks Xoom support (e.g., 18d1:70a8)
fixed 650152 libmtp/1.1.0-3
quit

Hi,

Adam Gerber wrote:

> adam@debian:~$ mtpfs /media/xoom
> adam@debian:~$  ls /media/xoom
> ls: cannot access /media/xoom: Transport endpoint is not connected

Yes, I can reproduce this.

First I tried to reproduce it with mtpfs 0.9-3+b1 and libmtp9 1.1.1-1
and failed.  Accessing the xoom worked.  But after disconnecting the
tablet, downgrading to mtpfs 0.9-3 and libmtp8 1.0.3-1, and trying
again, I get:

| $ mtpfs test
| $ echo $?
| 0
| $ ls test
| ls: cannot access test: Transport endpoint is not connected

The error message indicates that "ls" was not able to get the status
of the directory /media/xoom.  "Transport endpoint is not connected"
is ENOTCONN, which means the fuse device is closed (mtpfs probably
exited) but the device is still mounted.

Looking over /usr/share/doc/libmtp8/README.gz, I see that the cause
is probably missing USB IDs in /lib/udev/rules.d/45-libmtp8.rules.
When I install mtp-tools:

| $ mtp-detect
| libmtp version: 1.0.3
|
| Listing raw device(s)
|    No raw devices found.

After upgrading to libmtp9 and unplugging and plugging back in the
device, it works.

| $ mtp-detect
| libmtp version: 1.1.1
| 
| Listing raw device(s)
| Device 0 (VID=18d1 and PID=70a8) is a Google Inc (for Motorola) Xoom (MZ604).
|    Found 1 device(s):
|    Google Inc (for Motorola): Xoom (MZ604) (18d1:70a8) @ bus 1, dev 7
| Attempting to connect device(s)
[...]

Regards,
Jonathan

| $ lsusb -v -s5
| Bus 001 Device 005: ID 18d1:70a8 Google Inc. 
| Device Descriptor:
|   bLength                18
|   bDescriptorType         1
|   bcdUSB               2.00
|   bDeviceClass            0 (Defined at Interface level)
|   bDeviceSubClass         0 
|   bDeviceProtocol         0 
|   bMaxPacketSize0        64
|   idVendor           0x18d1 Google Inc.
|   idProduct          0x70a8 
|   bcdDevice           99.99
|   iManufacturer           1 Motorola
|   iProduct                2 MZ604
|   iSerial                 3 0288500343606317
|   bNumConfigurations      1
|   Configuration Descriptor:
[...]




Bug 650152 cloned as bug 651559. Request was from Jonathan Nieder <jrnieder@gmail.com> to control@bugs.debian.org. (Fri, 09 Dec 2011 22:54:03 GMT) Full text and rfc822 format available.

Bug reassigned from package 'mtpfs' to 'libmtp8'. Request was from Jonathan Nieder <jrnieder@gmail.com> to control@bugs.debian.org. (Fri, 09 Dec 2011 22:54:07 GMT) Full text and rfc822 format available.

Bug No longer marked as found in versions mtpfs/0.9-3. Request was from Jonathan Nieder <jrnieder@gmail.com> to control@bugs.debian.org. (Fri, 09 Dec 2011 22:54:08 GMT) Full text and rfc822 format available.

Bug Marked as found in versions libmtp/1.0.3-1. Request was from Jonathan Nieder <jrnieder@gmail.com> to control@bugs.debian.org. (Fri, 09 Dec 2011 22:54:08 GMT) Full text and rfc822 format available.

Severity set to 'important' from 'normal' Request was from Jonathan Nieder <jrnieder@gmail.com> to control@bugs.debian.org. (Fri, 09 Dec 2011 22:54:09 GMT) Full text and rfc822 format available.

Changed Bug title to 'libmtp: lacks Xoom support (e.g., 18d1:70a8)' from 'mtpfs: xoom device fails to mount: Transport endpoint is not connected' Request was from Jonathan Nieder <jrnieder@gmail.com> to control@bugs.debian.org. (Fri, 09 Dec 2011 22:54:10 GMT) Full text and rfc822 format available.

Bug Marked as fixed in versions libmtp/1.1.0-3. Request was from Jonathan Nieder <jrnieder@gmail.com> to control@bugs.debian.org. (Fri, 09 Dec 2011 22:54:11 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Alessio Treglia <quadrispro@ubuntu.com>:
Bug#650152; Package libmtp8. (Tue, 13 Dec 2011 04:33:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonathan Nieder <jrnieder@gmail.com>:
Extra info received and forwarded to list. Copy sent to Alessio Treglia <quadrispro@ubuntu.com>. (Tue, 13 Dec 2011 04:33:03 GMT) Full text and rfc822 format available.

Message #29 received at 650152@bugs.debian.org (full text, mbox):

From: Jonathan Nieder <jrnieder@gmail.com>
To: 650152@bugs.debian.org
Cc: Adam Gerber <a6671138@yahoo.com>
Subject: Re: mtpfs: xoom device fails to mount: Transport endpoint is not connected
Date: Mon, 12 Dec 2011 22:30:32 -0600
[Message part 1 (text/plain, inline)]
found 650152 libmtp/1.0.6-7
quit

Hi,

Jonathan Nieder wrote:

> After upgrading to libmtp9 and unplugging and plugging back in the
> device, it works.
>
> | $ mtp-detect
> | libmtp version: 1.1.1
> |
> | Listing raw device(s)
> | Device 0 (VID=18d1 and PID=70a8) is a Google Inc (for Motorola) Xoom (MZ604).

Adam reproduced it with the newest version of libmtp before
the 8 → 9 ABI bump (from snapshot.debian.org).  Luckily, the package
from

 http://alioth.debian.org/~jrnieder-guest/temp/libmtp/

works for him.  debdiff attached.

The patch was made by walking through upstream commits after libmtp 1.0.3
and cherry-picking patches for src/music-players.h.  Caveats:

 - 0035-Added-a-device-flag-to-force-reset-on-certain-player.patch
   should probably be dropped, since there's been some related work
   in that area upstream.

 - Patch 39, 40 are more invasive but seem safe.

 - I did not consider new device IDs added after upstream commit
   a8b8889e (Code revamps and new interfaces based on a large patch
   from Yavor Goulishev, 2011-03-03), since I imagine not all of these
   devices will actually work with the old codebase.

 - 0019 _removes_ support for a device.

If there is some way to get people with a wide variety of devices to
test these, that would be great.  Otherwise, one possibility would be
to grab patches 0030, 0031, 0032, 0033 (the last two cancel each other
out), 0036, and maybe 0037, which are the patches for Xoom support.

There are lots of nice bugfixes this series skips, but I guess it's
best to wait until a squeeze user runs into them and is able to check
for regressions.

Thanks and hope that helps,
Jonathan
[libmtp-add-support-for-new-devices (text/plain, attachment)]

Bug Marked as found in versions libmtp/1.0.6-7. Request was from Jonathan Nieder <jrnieder@gmail.com> to control@bugs.debian.org. (Tue, 13 Dec 2011 04:33:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Alessio Treglia <quadrispro@ubuntu.com>:
Bug#650152; Package libmtp8. (Sun, 18 Dec 2011 22:00:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonathan Nieder <jrnieder@gmail.com>:
Extra info received and forwarded to list. Copy sent to Alessio Treglia <quadrispro@ubuntu.com>. (Sun, 18 Dec 2011 22:00:03 GMT) Full text and rfc822 format available.

Message #36 received at 650152@bugs.debian.org (full text, mbox):

From: Jonathan Nieder <jrnieder@gmail.com>
To: 650152@bugs.debian.org
Cc: mtpfs@packages.debian.org
Subject: Re: xoom device fails to mount: Transport endpoint is not connected
Date: Sun, 18 Dec 2011 15:56:52 -0600
Jonathan Nieder wrote:

> The patch was made by walking through upstream commits after libmtp 1.0.3
> and cherry-picking patches for src/music-players.h.

Ping.  Any thoughts on this?  I would be happy to provide a patch that
_just_ adds Xoom support, or a more complete patch similar to the one
I sent adding support for other devices, without the caveats I
mentioned.  Which would you prefer?




Information forwarded to debian-bugs-dist@lists.debian.org, Alessio Treglia <quadrispro@ubuntu.com>:
Bug#650152; Package libmtp8. (Tue, 03 Jan 2012 07:24:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Alessio Treglia <alessio@debian.org>:
Extra info received and forwarded to list. Copy sent to Alessio Treglia <quadrispro@ubuntu.com>. (Tue, 03 Jan 2012 07:24:07 GMT) Full text and rfc822 format available.

Message #41 received at 650152@bugs.debian.org (full text, mbox):

From: Alessio Treglia <alessio@debian.org>
To: Jonathan Nieder <jrnieder@gmail.com>
Cc: 650152@bugs.debian.org
Subject: Re: Bug#650152: xoom device fails to mount: Transport endpoint is not connected
Date: Tue, 3 Jan 2012 08:20:54 +0100
Hi Jonathan,

sorry for the delay and happy new year!

On Sun, Dec 18, 2011 at 10:56 PM, Jonathan Nieder <jrnieder@gmail.com> wrote:
> Ping.  Any thoughts on this?  I would be happy to provide a patch that
> _just_ adds Xoom support, or a more complete patch similar to the one
> I sent adding support for other devices, without the caveats I
> mentioned.  Which would you prefer?

I'd prefer to apply a patch just adding Xoom support.
Thanks!

-- 
Alessio Treglia          | www.alessiotreglia.com
Debian Developer         | alessio@debian.org
Ubuntu Core Developer    | quadrispro@ubuntu.com
0416 0004 A827 6E40 BB98 90FB E8A4 8AE5 311D 765A




Information forwarded to debian-bugs-dist@lists.debian.org, Alessio Treglia <quadrispro@ubuntu.com>:
Bug#650152; Package libmtp8. (Tue, 03 Jan 2012 09:21:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonathan Nieder <jrnieder@gmail.com>:
Extra info received and forwarded to list. Copy sent to Alessio Treglia <quadrispro@ubuntu.com>. (Tue, 03 Jan 2012 09:21:06 GMT) Full text and rfc822 format available.

Message #46 received at 650152@bugs.debian.org (full text, mbox):

From: Jonathan Nieder <jrnieder@gmail.com>
To: Alessio Treglia <alessio@debian.org>
Cc: 650152@bugs.debian.org
Subject: [PATCH libmtp/squeeze] add xoom support
Date: Tue, 3 Jan 2012 03:19:23 -0600
tags 650152 + patch
# untested
tags 650152 + moreinfo
quit

Alessio Treglia wrote:

> I'd prefer to apply a patch just adding Xoom support.

Here you go.  This is just the same patch as before minus irrelevant
bits.
---
 debian/changelog            |    7 +++++++
 debian/patches/series       |    1 +
 debian/patches/xoom-support |   40 ++++++++++++++++++++++++++++++++++++++++
 3 files changed, 48 insertions(+), 0 deletions(-)
 create mode 100644 debian/patches/series
 create mode 100644 debian/patches/xoom-support

diff --git a/debian/changelog b/debian/changelog
index 0507cc55..4f27c729 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -1,3 +1,10 @@
+libmtp (1.0.3-1+squeeze1) UNRELEASED; urgency=low
+
+  * Add entry from libmtp 1.1.1 for Motorola Xoom devices to the
+    device database (Closes: #650152).
+
+ -- Jonathan Nieder <jrnieder@gmail.com>  Tue, 03 Jan 2012 03:07:35 -0600
+
 libmtp (1.0.3-1) unstable; urgency=low
 
   * debian/copyright: Update according to DEP-5 proposal.
diff --git a/debian/patches/series b/debian/patches/series
new file mode 100644
index 00000000..a0b80333
--- /dev/null
+++ b/debian/patches/series
@@ -0,0 +1 @@
+xoom-support
diff --git a/debian/patches/xoom-support b/debian/patches/xoom-support
new file mode 100644
index 00000000..ee73f344
--- /dev/null
+++ b/debian/patches/xoom-support
@@ -0,0 +1,40 @@
+From: Linus Walleij <triad@df.lth.se>
+Subject: Motorola Xoom devices IDs from Google
+
+commits ddd898119f2b, 1b077906eafc, 218640483229, 2e49cf0a550
+upstream.
+
+Signed-off-by: Jonathan Nieder <jrnieder@gmail.com>
+---
+ src/music-players.h |   18 +++++++++++++++++-
+ 1 files changed, 17 insertions(+), 1 deletions(-)
+
+diff --git a/src/music-players.h b/src/music-players.h
+index e7bb5779..df5f357a 100644
+--- a/src/music-players.h
++++ b/src/music-players.h
+@@ -1068,7 +1068,23 @@
+   // Reported by anonymous user
+   { "Motorola", 0x22b8, "RAZR2 V8/U9/Z6", 0x6415,
+       DEVICE_FLAG_BROKEN_SET_OBJECT_PROPLIST },
+-  
++  // Reported by Google Inc's Yavor Goulishev <yavor@google.com>
++  // Android 3.0 MTP stack seems to announce that it supports the
++  // list operations, but they do not work?
++  { "Motorola", 0x22b8, "Xoom (ID 1)", 0x70a8,
++      DEVICE_FLAG_BROKEN_MTPGETOBJPROPLIST |
++      DEVICE_FLAG_BROKEN_SET_OBJECT_PROPLIST |
++      DEVICE_FLAG_BROKEN_SEND_OBJECT_PROPLIST },
++  // WiFi-only version of Xoom
++  // See: http://bugzilla.gnome.org/show_bug.cgi?id=647506
++  { "Motorola", 0x18d1, "Xoom (MZ604)", 0x70a8,
++      DEVICE_FLAG_BROKEN_MTPGETOBJPROPLIST |
++      DEVICE_FLAG_BROKEN_SET_OBJECT_PROPLIST |
++      DEVICE_FLAG_BROKEN_SEND_OBJECT_PROPLIST },
++  { "Motorola", 0x22b8, "Xoom (ID 2)", 0x70a9,
++      DEVICE_FLAG_BROKEN_MTPGETOBJPROPLIST |
++      DEVICE_FLAG_BROKEN_SET_OBJECT_PROPLIST |
++      DEVICE_FLAG_BROKEN_SEND_OBJECT_PROPLIST },
+ 
+   /*
+    * Media Keg
-- 
1.7.8.2+next.20111228





Added tag(s) patch. Request was from Jonathan Nieder <jrnieder@gmail.com> to control@bugs.debian.org. (Tue, 03 Jan 2012 09:21:11 GMT) Full text and rfc822 format available.

Added tag(s) moreinfo. Request was from Jonathan Nieder <jrnieder@gmail.com> to control@bugs.debian.org. (Tue, 03 Jan 2012 09:21:11 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from Alessio Treglia <alessio@debian.org> to control@bugs.debian.org. (Tue, 03 Jan 2012 10:15:03 GMT) Full text and rfc822 format available.

Reply sent to Alessio Treglia <quadrispro@ubuntu.com>:
You have taken responsibility. (Fri, 13 Jan 2012 17:51:25 GMT) Full text and rfc822 format available.

Notification sent to Adam Gerber <a6671138@yahoo.com>:
Bug acknowledged by developer. (Fri, 13 Jan 2012 17:51:25 GMT) Full text and rfc822 format available.

Message #57 received at 650152-close@bugs.debian.org (full text, mbox):

From: Alessio Treglia <quadrispro@ubuntu.com>
To: 650152-close@bugs.debian.org
Subject: Bug#650152: fixed in libmtp 1.0.3-1+squeeze1
Date: Fri, 13 Jan 2012 17:47:20 +0000
Source: libmtp
Source-Version: 1.0.3-1+squeeze1

We believe that the bug you reported is fixed in the latest version of
libmtp, which is due to be installed in the Debian FTP archive:

libmtp-dbg_1.0.3-1+squeeze1_amd64.deb
  to main/libm/libmtp/libmtp-dbg_1.0.3-1+squeeze1_amd64.deb
libmtp-dev_1.0.3-1+squeeze1_amd64.deb
  to main/libm/libmtp/libmtp-dev_1.0.3-1+squeeze1_amd64.deb
libmtp-doc_1.0.3-1+squeeze1_all.deb
  to main/libm/libmtp/libmtp-doc_1.0.3-1+squeeze1_all.deb
libmtp8_1.0.3-1+squeeze1_amd64.deb
  to main/libm/libmtp/libmtp8_1.0.3-1+squeeze1_amd64.deb
libmtp_1.0.3-1+squeeze1.debian.tar.gz
  to main/libm/libmtp/libmtp_1.0.3-1+squeeze1.debian.tar.gz
libmtp_1.0.3-1+squeeze1.dsc
  to main/libm/libmtp/libmtp_1.0.3-1+squeeze1.dsc
mtp-tools_1.0.3-1+squeeze1_amd64.deb
  to main/libm/libmtp/mtp-tools_1.0.3-1+squeeze1_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 650152@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Alessio Treglia <quadrispro@ubuntu.com> (supplier of updated libmtp package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA512

Format: 1.8
Date: Thu, 12 Jan 2012 22:28:24 +0100
Source: libmtp
Binary: libmtp8 libmtp-dev libmtp-dbg libmtp-doc mtp-tools
Architecture: source all amd64
Version: 1.0.3-1+squeeze1
Distribution: stable
Urgency: low
Maintainer: Alessio Treglia <quadrispro@ubuntu.com>
Changed-By: Alessio Treglia <quadrispro@ubuntu.com>
Description: 
 libmtp-dbg - Media Transfer Protocol (MTP) debugging symbols
 libmtp-dev - Media Transfer Protocol (MTP) development files
 libmtp-doc - Media Transfer Protocol (MTP) library documentation
 libmtp8    - Media Transfer Protocol (MTP) library
 mtp-tools  - Media Transfer Protocol (MTP) library tools
Closes: 650152
Changes: 
 libmtp (1.0.3-1+squeeze1) stable; urgency=low
 .
   * Add support for Motorola Xoom devices (Closes: #650152).
Checksums-Sha1: 
 a03f57199a65dce148a568a6453aacd79e137351 1971 libmtp_1.0.3-1+squeeze1.dsc
 4d844b6c8ff108adcc5cc5a701dfd5985142f64d 16061 libmtp_1.0.3-1+squeeze1.debian.tar.gz
 348b15a783ffc7c323d18aee7830202664d29c05 372272 libmtp-doc_1.0.3-1+squeeze1_all.deb
 046ce174f77964fc5b3700923f3e0d150d7ca1a9 179728 libmtp8_1.0.3-1+squeeze1_amd64.deb
 afcd14ce34ccfb23a13dabec6ab0dab8b10fa3e3 176732 libmtp-dev_1.0.3-1+squeeze1_amd64.deb
 1efa883838bd0999055e86ba0ca94354805db21b 241982 libmtp-dbg_1.0.3-1+squeeze1_amd64.deb
 a2aaf1290e24756bb301e575115262430579614c 92622 mtp-tools_1.0.3-1+squeeze1_amd64.deb
Checksums-Sha256: 
 70e32314335fe1307a5d129d4476ee9fceb178c602c77a31424601211bc1e47e 1971 libmtp_1.0.3-1+squeeze1.dsc
 2ad5b3efe197eeb27dc4c952b1dc1e6eacf3c8e4c9e036e356812e1be22f382f 16061 libmtp_1.0.3-1+squeeze1.debian.tar.gz
 127b8bd4ec319dba1afa43abce1ec7695448c917d16bf8eeb8c76dc58f6cb8ca 372272 libmtp-doc_1.0.3-1+squeeze1_all.deb
 32fea4594da201ee9a7fa598d0589490076d9bb3c2ef422284868650ba26202d 179728 libmtp8_1.0.3-1+squeeze1_amd64.deb
 584e1c4b0c5c4fbd93776e85c177a033559daedd92ee1098e6b0951ba9089f18 176732 libmtp-dev_1.0.3-1+squeeze1_amd64.deb
 62ef589e73a1b4d0d4220c236cbc1106a4c0ffc548664bbd2468f7c1eec19963 241982 libmtp-dbg_1.0.3-1+squeeze1_amd64.deb
 235986758ccc87b1b90c3e3ca95d1740ca41b4a92692be65668a987600253d72 92622 mtp-tools_1.0.3-1+squeeze1_amd64.deb
Files: 
 18f0feece83c307a41663ee70458ec09 1971 libs optional libmtp_1.0.3-1+squeeze1.dsc
 f64598fc1684c22b56230485cd4be86c 16061 libs optional libmtp_1.0.3-1+squeeze1.debian.tar.gz
 178a7dcba2fa3518429b73306de71fe7 372272 doc optional libmtp-doc_1.0.3-1+squeeze1_all.deb
 76103efc5d06790bc237772feffe712f 179728 libs optional libmtp8_1.0.3-1+squeeze1_amd64.deb
 b4fca5b910f80e3db15138b4e5af5bb2 176732 libdevel optional libmtp-dev_1.0.3-1+squeeze1_amd64.deb
 02387bfe15a95416d6c2b358570fe8be 241982 debug extra libmtp-dbg_1.0.3-1+squeeze1_amd64.deb
 b77a5ee98c2ad178c3622b0e97c389e3 92622 utils optional mtp-tools_1.0.3-1+squeeze1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iQIcBAEBCgAGBQJPD3bxAAoJEOikiuUxHXZa/owP/1W/7PPPtg4wG7a/QFcyiA18
lfiVf/AkLO4auAJ6+vZEX6PqA7ePXFQ189v8iuoEau9FIsBihayaJdTBO6AJlEuu
htF0/IfzD7wETP1ZiGoELtuwdqha4Wl3ASdCiG5Ejm8uniDROjOaJWFxubgN5gYM
jIX9yZQW07CsShfXHwYLIjM5OLCXexw25A2emV/loIlCufaANhJhVDx4VZ4fLlgI
py4sazauDk2HP0Sg2XiWgIhQ2xHE8LfUut2uWA3Far+Z88G3u2bDpCI0i/H71Yj/
Z5pjliM1wqiu1IT/VUzYRgTPQgO8G2wpdH3J2OYgxPDK3OgkvRe3bYWMxj2l9Def
p0SRCCm2m85/0dtpK7SJt2hHXHc0wUywx947sziZi3pQMdHyJ1XZWAeQsFUkXyMX
LrS08wd/UBnYFzobvOAWCG4TlD8iaQlJfKjadMqbEvHaTka27Uf6MVF1mlmiqTX0
H3LSVr4aMqIyJGTudNlEy5SMhxPRCdzCkEsTMYFTcHTJ75Ea3GfNL5mr/U0qdX6i
c+Or7dEZrkmjX2XC9A6cBztpmsBJDzdAgjWJHWah/MsjOwoHDgVR0i1m+zkFvOrE
mFV9K4d0hKZO/Q1RXd0AfCOOsUA8W0d1658wQxoXHJqLi+YuWjOEcR25INOhDr5l
zSw4xDE8a4SBBYoVLP+a
=pd3g
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 11 Feb 2012 07:37:29 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 22:27:59 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.